.modal {
    width: 100%;
    color: $black;
    max-width: 98%;
    padding: rem(20);
    font-size: rem(16);
    line-height: 150%;
    background: $white;
    border-radius: 32px;

    &__header {
        font-weight: 700;
        font-size: rem(24);
        line-height: rem(35);
        margin: 0 auto rem(30) auto;
    }

    &__text {
        margin-bottom: rem(20);
    }

    &__list {
        font-weight: 500;
        list-style: none;
        padding: rem(30) rem(20);
        margin: 0 rem(-8) rem(20) rem(-8);
        background: $gray;
        border-radius: 20px;
        display: grid;
        grid-row-gap: rem(12);
        grid-template-columns: 1fr;

        li {

            &:before {
                content: '· ';
            }
        }
    }

    &__button {
        text-align: center;

        .btn {
            width: 100%;
        }
    }

    .carousel__button {
        background: #F4F5F6;
        border-radius: 50%;
        top: rem(15) !important;
        right: rem(15) !important;

        svg {
            stroke: rgba(131, 136, 143, 1);
            filter: none;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(30) rem(40);

        &__header {
            max-width: rem(620);
            text-align: center;
            font-size: rem(34);
            line-height: rem(45);
            margin-bottom: rem(20);
        }

        &__list {
            margin: 0 0 rem(20) 0;
            grid-row-gap: rem(15);
        }

        &__button {

            .btn {
                width: auto;
                min-width: rem(400);
            }
        }
    }

    @include media-breakpoint-up(lg) {
        padding: rem(30) rem(60);
        max-width: rem(936);

        .carousel__button {
            top: rem(30) !important;
            right: rem(30) !important;
        }
    }

    @include media-breakpoint-up(xl) {
        width: rem(1080);

        h2,
        .h2 {
            font-size: rem(34);
            line-height: rem(45);
        }
    }
}

.text-center-md {

    @include media-breakpoint-up(md) {
        text-align: center;
    }
}
